Bug 1476470 - Jitsi can't accept SIP calls anymore , caused by latest java update
Jitsi can't accept SIP calls anymore , caused by latest java update
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk (Show other bugs)
25
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-29 07:31 EDT by customercare
Modified: 2017-12-12 05:19 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:19:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description customercare 2017-07-29 07:31:51 EDT
Description of problem:

After updating java to 1.8.0.141-1.b16 Jitsi can't accept incoming SIP Calls anymore, causing error messages like this:

2017-07-29 13:19:39.932 SCHWERWIEGEND: [136] impl.protocol.sip.SipStackSharing.findTargetFor().922 no listeners
2017-07-29 13:19:39.932 SCHWERWIEGEND: [136] impl.protocol.sip.SipStackSharing.processRequest().709 couldn't find a ProtocolProviderServiceSipImpl to dispatch to
2017-07-29 13:19:40.931 SCHWERWIEGEND: [137] impl.protocol.sip.SipStackSharing.findTargetFor().922 no listeners
2017-07-29 13:19:40.931 SCHWERWIEGEND: [137] impl.protocol.sip.SipStackSharing.processRequest().709 couldn't find a ProtocolProviderServiceSipImpl to dispatch to

After downgrading to the last version, which is not possible inside fedora repos   for no good reason, it works again out of the box. Just restaring it with the old java version and it works again. 

I have no clue what got changed between those two versions, but it must be dramatically for audio/network apps.

Version-Release number of selected component (if applicable):

1.8.0.141-1.b16.fc25.x86_64

How reproducible:

100%

Steps to Reproduce:

Get a sip account
install jitsi
activate sip account
Call yourself

Actual results:

2017-07-29 13:19:39.932 SCHWERWIEGEND: [136] impl.protocol.sip.SipStackSharing.findTargetFor().922 no listeners
2017-07-29 13:19:39.932 SCHWERWIEGEND: [136] impl.protocol.sip.SipStackSharing.processRequest().709 couldn't find a ProtocolProviderServiceSipImpl to dispatch to
2017-07-29 13:19:40.931 SCHWERWIEGEND: [137] impl.protocol.sip.SipStackSharing.findTargetFor().922 no listeners
2017-07-29 13:19:40.931 SCHWERWIEGEND: [137] impl.protocol.sip.SipStackSharing.processRequest().709 couldn't find a ProtocolProviderServiceSipImpl to dispatch to


Expected results:

A flawless sip call expirience ;)

Additional info:

Last version that worked: 1.8.0.131-5.b12

Anything else that changed : NO .. Jitsi did not have updates for month.
Comment 1 Deepak Bhole 2017-07-31 15:22:07 EDT
Are there any other logs available that shows a Java stack trace?
Comment 2 customercare 2017-07-31 17:52:13 EDT
I did not see any stacktrace.
Comment 3 Deepak Bhole 2017-08-01 16:32:56 EDT
That is unfortunately, as the log is quite insufficient as it stands.

Is there any easy way for us to reproduce this issue?
Comment 4 customercare 2017-08-02 05:53:58 EDT
Jitsi offers a debug option, but i'm afraid, that won't help much.

All you need is jitsi, that java version and a sip account, which you can get for free at sipgate.de/com .

it's possible that you can fake a sip account because all you need is a "Sip" Server that sends you a SIP INVITE , I would not be surprised to find a test server somewhere for exact those situations.

I believe the devs at Jitsi can help. I already informed them/him about the problem: ingo@jitsi.org (Ingo Bauersachs)

As we have summer vacations atm, i did not wonder, that i did not get an answer from him directly. Maybe you try it and someone from jitsi will answere.
Comment 5 Andrew John Hughes 2017-08-04 12:19:12 EDT
The changes between the two versions are mainly security fixes, so clinging to an old insecure version is not a good idea.

One thing to try: use the jre/lib/security/java.security file from the 8u131 version with the new 8u141 version. If it still doesn't work, this will at least rule out the issue being related to the disabling of SHA1 certificates.
Comment 6 Fedora End Of Life 2017-11-16 14:23:52 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-12-12 05:19:24 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.